# Memcached::delete

(PECL memcached >= 0.1.0)

Memcached::delete — Delete an item

### Description

public Memcached::delete ( string `$key` [, int `$time` = 0 ] ) : bool

Memcached::delete() deletes the `key` from the server. The `time` parameter is the amount of time in seconds (or Unix time until which) the client wishes the server to refuse add and replace commands for this key. For this amount of time, the item is put into a delete queue, which means that it won't possible to retrieve it by the get command, but add and replace command with this key will also fail (the set command will succeed, however). After the time passes, the item is finally deleted from server memory. The parameter `time` defaults to 0 (which means that the item will be deleted immediately and further storage commands with this key will succeed).

### Parameters

`key`

  The key to be deleted.

`time`

  The amount of time the server will wait to delete the item.

### Return Values

Returns `TRUE` on success or `FALSE` on failure. The Memcached::getResultCode() will return `Memcached::RES_NOTFOUND` if the key does not exist.

### Examples

Example #1 Memcached::delete() example

`<?php
$m = new Memcached();
$m->addServer('localhost', 11211);
$m->delete('key1');
?>`

### See Also

- Memcached::deleteByKey() - Delete an item from a specific server
- Memcached::deleteMulti() - Delete multiple items